update scripts

This commit is contained in:
Zhang Peng 2019-07-12 15:53:54 +08:00
parent 45ac298595
commit 1d8b1d4e27
22 changed files with 395 additions and 243 deletions

View File

@ -1,5 +1,21 @@
# 服务安装配置 # 服务安装配置
<!-- TOC depthFrom:2 depthTo:3 -->
- [oh-my-zsh 安装](#oh-my-zsh-安装)
- [JDK8 安装](#jdk8-安装)
- [Maven 安装配置](#maven-安装配置)
- [Node.js 安装](#nodejs-安装)
- [MongoDB 安装](#mongodb-安装)
- [Redis 安装配置](#redis-安装配置)
- [Tomcat8 安装](#tomcat8-安装)
- [Kafka 安装](#kafka-安装)
- [RocketMQ 安装](#rocketmq-安装)
- [Nacos 安装](#nacos-安装)
- [ZooKeeper 安装](#zookeeper-安装)
<!-- /TOC -->
## oh-my-zsh 安装 ## oh-my-zsh 安装
说明: 说明:
@ -174,3 +190,31 @@ curl -o- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/zoo
wget -qO- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/zookeeper-install.sh | bash wget -qO- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/zookeeper-install.sh | bash
``` ```
## Nginx 安装
说明:
采用编译方式安装 Nginx
下载 nginx `1.16.0` 并解压安装到 `/opt/nginx` 路径下。
使用方法:执行以下任意命令即可执行脚本。
```sh
curl -o- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/nginx-install.sh | bash
wget -qO- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/nginx-install.sh | bash
```
## Fastdfs 安装
说明:
采用编译方式安装 Fastdfs
下载 Fastdfs 并解压安装到 `/opt/fdfs` 路径下。
使用方法:执行以下任意命令即可执行脚本。
```sh
curl -o- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/fastdfs-install.sh | bash
wget -qO- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/fastdfs-install.sh | bash

View File

@ -24,10 +24,10 @@ cat << EOF
EOF EOF
printf "${RESET}" printf "${RESET}"
printf "${BLUE}>>>>>>>> install jenkins\n${RESET}" printf "${BLUE}>>>>>>>> install jenkins${RESET}\n"
# 下载并解压 jenkins # 下载并解压 jenkins
mkdir -p /opt/jenkins mkdir -p /opt/jenkins
wget -O /opt/jenkins/jenkins.war http://mirrors.jenkins.io/war-stable/latest/jenkins.war curl -o /opt/jenkins/jenkins.war http://mirrors.jenkins.io/war-stable/latest/jenkins.war
printf "${GREEN}<<<<<<<< install jenkins\n${RESET}" printf "${GREEN}<<<<<<<< install jenkins${RESET}\n"

View File

@ -1,18 +1,18 @@
#!/usr/bin/env bash #!/usr/bin/env bash
############################################################################## ###################################################################################
# console color # 控制台颜色
C_BLACK="\033[1;30m" BLACK="\033[1;30m"
C_RED="\033[1;31m" RED="\033[1;31m"
C_GREEN="\033[1;32m" GREEN="\033[1;32m"
C_YELLOW="\033[1;33m" YELLOW="\033[1;33m"
C_BLUE="\033[1;34m" BLUE="\033[1;34m"
C_PURPLE="\033[1;35m" PURPLE="\033[1;35m"
C_CYAN="\033[1;36m" CYAN="\033[1;36m"
C_RESET="$(tput sgr0)" RESET="$(tput sgr0)"
############################################################################## ###################################################################################
printf "${C_PURPLE}" printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
@ -20,77 +20,84 @@ cat << EOF
# FastDFS 会被install到 /opt/fdfs 路径。 # FastDFS 会被install到 /opt/fdfs 路径。
# @system: 适用于 CentOS # @system: 适用于 CentOS
# @author: Zhang Peng # @author: Zhang Peng
# @ses: https://github.com/happyfish100/fastdfs/wiki
################################################################################### ###################################################################################
EOF EOF
printf "${C_RESET}" printf "${RESET}"
command -v yum >/dev/null 2>&1 || { echo >&2 -e "${C_RED}Require yum but it's not installed. Aborting.${C_RESET}"; exit 1; } printf "${GREEN}>>>>>>>> install fastdfs begin.${RESET}\n"
command -v git >/dev/null 2>&1 || { echo >&2 -e "${C_RED}Require git but it's not installed. Aborting.${C_RESET}"; exit 1; }
command -v yum >/dev/null 2>&1 || { printf "${RED}Require yum but it's not installed.${RESET}\n"; exit 1; }
command -v git >/dev/null 2>&1 || { printf "${RED}Require git but it's not installed.${RESET}\n"; exit 1; }
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
printf "${PURPLE}[Hint]\n"
printf "\t sh fastdfs-install.sh [path]\n"
printf "\t Example: sh fastdfs-install.sh /opt/fastdfs\n"
printf "${RESET}\n"
fi
path=/opt/fdfs
if [[ -n $1 ]]; then
path=$1
fi
nginx_version=1.16.0
nginx_path=/opt/nginx
printf "${GREEN}>>>>>>>> install required libs.${RESET}\n\n"
yum install git gcc gcc-c++ make automake autoconf libtool pcre pcre-devel zlib zlib-devel openssl-devel wget vim -y yum install git gcc gcc-c++ make automake autoconf libtool pcre pcre-devel zlib zlib-devel openssl-devel wget vim -y
root=/opt/fdfs # download and decompression
if [[ -n $1 ]]; then mkdir -p ${path}
root=$1 path=/opt/fdfs
mkdir -p ${path}/libfastcommon
curl -o ${path}/libfastcommon.zip http://dunwu.test.upcdn.net/soft/fdfs/libfastcommon.zip
if [[ ! -f ${path}/libfastcommon.zip ]]; then
printf "${RED}[Error]install libfastcommon failedexit. ${RESET}\n"
exit 1
fi fi
unzip -o ${path}/libfastcommon.zip -d ${path}
version=1.16.0
if [[ -n $2 ]]; then
version=$2
fi
nginx_path=/opt/nginx cd ${path}/libfastcommon
if [[ -n $3 ]]; then chmod +x -R ${path}/libfastcommon/*.sh
root=$3
fi
mkdir -p ${root}
root=/opt/fdfs
echo -e "\n${C_GREEN}>>>>>>>>> install libfastcommon${C_RESET}"
mkdir -p ${root}/libfastcommon
curl -o ${root}/libfastcommon.zip http://dunwu.test.upcdn.net/soft/fdfs/libfastcommon.zip
if [[ ! -f ${root}/libfastcommon.zip ]]; then
echo -e "\n${C_RED}>>>>>>>>> install libfastcommon failedexit. ${C_RESET}"
fi
unzip -o ${root}/libfastcommon.zip -d ${root}
cd ${root}/libfastcommon
chmod +x -R ${root}/libfastcommon/*.sh
./make.sh && ./make.sh install ./make.sh && ./make.sh install
echo -e "\n${C_GREEN}>>>>>>>>> install fastdfs${C_RESET}" printf "${GREEN}>>>>>>>>> install fastdfs${RESET}"
mkdir -p ${root}/fastdfs mkdir -p ${path}/fastdfs
curl -o ${root}/fastdfs.zip http://dunwu.test.upcdn.net/soft/fdfs/fastdfs.zip curl -o ${path}/fastdfs.zip http://dunwu.test.upcdn.net/soft/fdfs/fastdfs.zip
if [[ ! -f ${root}/fastdfs.zip ]]; then if [[ ! -f ${path}/fastdfs.zip ]]; then
echo -e "\n${C_RED}>>>>>>>>> install fastdfs failedexit. ${C_RESET}" printf "${RED}>>>>>>>>> install fastdfs failedexit. ${RESET}\n"
fi fi
unzip -o ${root}/fastdfs.zip -d ${root} unzip -o ${path}/fastdfs.zip -d ${path}
cd ${root}/fastdfs cd ${path}/fastdfs
chmod +x -R ${root}/fastdfs/*.sh chmod +x -R ${path}/fastdfs/*.sh
./make.sh && ./make.sh install ./make.sh && ./make.sh install
echo -e "\n${C_GREEN}>>>>>>>>> install fastdfs-nginx-module${C_RESET}" printf "${GREEN}>>>>>>>>> install fastdfs-nginx-module${RESET}\n"
mkdir -p ${root}/fastdfs-nginx-module mkdir -p ${path}/fastdfs-nginx-module
curl -o ${root}/fastdfs-nginx-module.zip http://dunwu.test.upcdn.net/soft/fdfs/fastdfs-nginx-module.zip curl -o ${path}/fastdfs-nginx-module.zip http://dunwu.test.upcdn.net/soft/fdfs/fastdfs-nginx-module.zip
if [[ ! -f ${root}/fastdfs-nginx-module.zip ]]; then if [[ ! -f ${path}/fastdfs-nginx-module.zip ]]; then
echo -e "\n${C_RED}>>>>>>>>> install fastdfs-nginx-module failedexit. ${C_RESET}" printf "${RED}>>>>>>>>> install fastdfs-nginx-module failedexit. ${RESET}\n"
fi fi
unzip -o ${root}/fastdfs-nginx-module.zip -d ${root} unzip -o ${path}/fastdfs-nginx-module.zip -d ${path}
echo -e "\n${C_GREEN}>>>>>>>>> install nginx${C_RESET}" printf "${GREEN}>>>>>>>>> install nginx${RESET}"
mkdir -p ${nginx_path} mkdir -p ${nginx_path}
wget -O ${nginx_path}/nginx-${version}.tar.gz http://nginx.org/download/nginx-${version}.tar.gz curl -o ${nginx_path}/nginx-${nginx_version}.tar.gz http://nginx.org/download/nginx-${nginx_version}.tar.gz
tar zxf ${nginx_path}/nginx-${version}.tar.gz -C ${nginx_path} tar zxf ${nginx_path}/nginx-${nginx_version}.tar.gz -C ${nginx_path}
cd ${nginx_path}/nginx-${version} cd ${nginx_path}/nginx-${nginx_version}
./configure --prefix=/usr/local/nginx --with-http_stub_status_module --with-http_ssl_module --with-pcre --add-module=${root}/fastdfs-nginx-module/src/ ./configure --prefix=/usr/local/nginx --with-http_stub_status_module --with-http_ssl_module --with-pcre --add-module=${path}/fastdfs-nginx-module/src/
make && make install make && make install
echo -e "\n${C_GREEN}>>>>>>>>> fastdfs 配置文件准备${C_RESET}" printf "${GREEN}>>>>>>>>> fastdfs 配置文件准备${RESET}\n"
# 配置修改参考https://github.com/happyfish100/fastdfs/wiki # 配置修改参考https://github.com/happyfish100/fastdfs/wiki
cp ${root}/fastdfs/conf/http.conf /etc/fdfs/ #供nginx访问使用 cp ${path}/fastdfs/conf/http.conf /etc/fdfs/ #供nginx访问使用
cp ${root}/fastdfs/conf/mime.types /etc/fdfs/ #供nginx访问使用 cp ${path}/fastdfs/conf/mime.types /etc/fdfs/ #供nginx访问使用
cp ${root}/fastdfs-nginx-module/src/mod_fastdfs.conf /etc/fdfs cp ${path}/fastdfs-nginx-module/src/mod_fastdfs.conf /etc/fdfs
wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/fastdfs/tracker.conf -O /etc/fdfs/tracker.conf wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/fastdfs/tracker.conf -O /etc/fdfs/tracker.conf
wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/fastdfs/storage.conf -O /etc/fdfs/storage.conf wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/fastdfs/storage.conf -O /etc/fdfs/storage.conf
wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/fastdfs/client.conf -O /etc/fdfs/client.conf wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/fastdfs/client.conf -O /etc/fdfs/client.conf
@ -100,26 +107,26 @@ fdfs_server_port=7001
ip=$(ip addr | awk '/^[0-9]+: / {}; /inet.*global/ {print gensub(/(.*)\/(.*)/, "\\1", "g", $2)}') ip=$(ip addr | awk '/^[0-9]+: / {}; /inet.*global/ {print gensub(/(.*)\/(.*)/, "\\1", "g", $2)}')
mkdir -p ${fdfs_store_path} mkdir -p ${fdfs_store_path}
echo -e "\n${C_GREEN} - 修改 tracker.conf 配置${C_RESET}" printf "${GREEN} - 修改 tracker.conf 配置${RESET}\n"
sed -i "s#^base_path=.*#base_path=${fdfs_store_path}#g" /etc/fdfs/tracker.conf sed -i "s#^base_path=.*#base_path=${fdfs_store_path}#g" /etc/fdfs/tracker.conf
echo -e "\n${C_GREEN} - 修改 storage.conf 配置${C_RESET}" printf "${GREEN} - 修改 storage.conf 配置${RESET}\n"
sed -i "s#^base_path=.*#base_path=${fdfs_store_path}#g" /etc/fdfs/storage.conf sed -i "s#^base_path=.*#base_path=${fdfs_store_path}#g" /etc/fdfs/storage.conf
sed -i "s#^store_path0=.*#store_path0=${fdfs_store_path}#g" /etc/fdfs/storage.conf sed -i "s#^store_path0=.*#store_path0=${fdfs_store_path}#g" /etc/fdfs/storage.conf
sed -i "s#^tracker_server=.*#tracker_server=${ip}:22122#g" /etc/fdfs/storage.conf sed -i "s#^tracker_server=.*#tracker_server=${ip}:22122#g" /etc/fdfs/storage.conf
sed -i "s#^http.server_port=.*#http.server_port=${fdfs_server_port}#g" /etc/fdfs/storage.conf sed -i "s#^http.server_port=.*#http.server_port=${fdfs_server_port}#g" /etc/fdfs/storage.conf
echo -e "\n${C_GREEN} - 修改 client.conf 配置${C_RESET}" printf "${GREEN} - 修改 client.conf 配置${RESET}\n"
sed -i "s#^base_path=.*#base_path=${fdfs_store_path}#g" /etc/fdfs/client.conf sed -i "s#^base_path=.*#base_path=${fdfs_store_path}#g" /etc/fdfs/client.conf
sed -i "s#^tracker_server=.*#tracker_server=${ip}:22122#g" /etc/fdfs/client.conf sed -i "s#^tracker_server=.*#tracker_server=${ip}:22122#g" /etc/fdfs/client.conf
echo -e "\n${C_GREEN} - 修改 mod_fastdfs.conf 配置${C_RESET}" printf "${GREEN} - 修改 mod_fastdfs.conf 配置${RESET}\n"
sed -i "s#^url_have_group_name=.*#url_have_group_name=true#g" /etc/fdfs/mod_fastdfs.conf sed -i "s#^url_have_group_name=.*#url_have_group_name=true#g" /etc/fdfs/mod_fastdfs.conf
sed -i "s#^tracker_server=.*#tracker_server=${ip}:22122#g" /etc/fdfs/mod_fastdfs.conf sed -i "s#^tracker_server=.*#tracker_server=${ip}:22122#g" /etc/fdfs/mod_fastdfs.conf
sed -i "s#^store_path0=.*#store_path0=${fdfs_store_path}#g" /etc/fdfs/mod_fastdfs.conf sed -i "s#^store_path0=.*#store_path0=${fdfs_store_path}#g" /etc/fdfs/mod_fastdfs.conf
echo -e "\n${C_GREEN} - 修改 nginx.conf 配置${C_RESET}\n" printf "${GREEN} - 修改 nginx.conf 配置${RESET}\n"
mkdir -p /usr/local/nginx/conf/conf mkdir -p /usr/local/nginx/conf/conf
wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/nginx/nginx.conf -O /usr/local/nginx/conf/nginx.conf wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/nginx/nginx.conf -O /usr/local/nginx/conf/nginx.conf
wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/nginx/conf/fdfs.conf -O /usr/local/nginx/conf/conf/fdfs.conf wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/nginx/conf/fdfs.conf -O /usr/local/nginx/conf/conf/fdfs.conf
echo -e "\n${C_GREEN}>>>>>>>>> 启动 fastdfs ${C_RESET}" printf "${GREEN}>>>>>>>>> 启动 fastdfs ${RESET}\n"
chmod +x /etc/init.d/fdfs_trackerd chmod +x /etc/init.d/fdfs_trackerd
/etc/init.d/fdfs_trackerd start #启动tracker服务 /etc/init.d/fdfs_trackerd start #启动tracker服务
#/etc/init.d/fdfs_trackerd restart #重启动tracker服务 #/etc/init.d/fdfs_trackerd restart #重启动tracker服务
@ -142,7 +149,13 @@ systemctl start nginx.service
#systemctl restart nginx.service #systemctl restart nginx.service
#systemctl stop nginx.service #systemctl stop nginx.service
echo -e "\n>>>>>>>>> add fastdfs port" printf ">>>>>>>>> add fastdfs port"
firewall-cmd --zone=public --add-port=${fdfs_server_port}/tcp --permanent firewall-cmd --zone=public --add-port=${fdfs_server_port}/tcp --permanent
firewall-cmd --zone=public --add-port=22122/tcp --permanent firewall-cmd --zone=public --add-port=22122/tcp --permanent
firewall-cmd --reload firewall-cmd --reload
printf "${GREEN}<<<<<<<< install fastdfs end.${RESET}\n"
#touch test.txt
#result=`fdfs_upload_file /etc/fdfs/client.conf test.txt`
#echo ${result}
#rm -f test.txt

View File

@ -25,15 +25,11 @@ cat << EOF
EOF EOF
printf "${RESET}" printf "${RESET}"
printf "${BLUE}>>>>>>>> install jdk8\n${RESET}" printf "${GREEN}>>>>>>>> install jdk8 begin.${RESET}\n"
command -v yum >/dev/null 2>&1 || { command -v yum >/dev/null 2>&1 || { printf "${RED}Require yum but it's not installed.${RESET}\n"; exit 1; }
printf "${RED}Require yum but it's not installed.\n${RESET}"
printf "${RED}Require yum but it's not installed.${RESET}\n";
exit 1;
}
yum -y install java-1.8.0-openjdk-devel.x86_64 yum -y install java-1.8.0-openjdk-devel.x86_64
java -version java -version
printf "${GREEN}<<<<<<<< install jdk8 finished\n${RESET}" printf "${GREEN}<<<<<<<< install jdk8 end.${RESET}\n"

View File

@ -10,4 +10,4 @@ echo -e "\n>>>>>>>>> install jenkins"
# 下载并解压 jenkins # 下载并解压 jenkins
mkdir -p /opt/jenkins mkdir -p /opt/jenkins
wget -O /opt/jenkins/jenkins.war http://mirrors.jenkins.io/war-stable/latest/jenkins.war curl -o /opt/jenkins/jenkins.war http://mirrors.jenkins.io/war-stable/latest/jenkins.war

View File

@ -1,5 +1,18 @@
#!/usr/bin/env bash #!/usr/bin/env bash
###################################################################################
# 控制台颜色
BLACK="\033[1;30m"
RED="\033[1;31m"
GREEN="\033[1;32m"
YELLOW="\033[1;33m"
BLUE="\033[1;34m"
PURPLE="\033[1;35m"
CYAN="\033[1;36m"
RESET="$(tput sgr0)"
###################################################################################
printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
@ -9,10 +22,17 @@ cat << EOF
################################################################################### ###################################################################################
EOF EOF
printf "${RESET}"
printf "${GREEN}>>>>>>>> install kafka begin.${RESET}\n"
command -v java >/dev/null 2>&1 || { printf "${RED}Require java but it's not installed.${RESET}\n"; exit 1; }
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh kafka-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh kafka-install.sh 2.2.0 /opt/kafka\n" printf "\t sh kafka-install.sh [version] [path]\n"
printf "\t Example: sh kafka-install.sh 2.2.0 /opt/kafka\n"
printf "${RESET}\n"
fi fi
version=2.2.0 version=2.2.0
@ -20,15 +40,20 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
root=/opt/kafka path=/opt/kafka
if [[ -n $2 ]]; then if [[ -n $2 ]]; then
root=$2 path=$2
fi fi
echo "Current execution: install kafka ${version} to ${root}" # install info
echo -e "\n>>>>>>>>> download kafka" printf "${PURPLE}[Info]\n"
mkdir -p ${root} printf "\t version = ${version}\n"
wget -O ${root}/kafka_2.12-${version}.tgz http://mirrors.tuna.tsinghua.edu.cn/apache/kafka/${version}/kafka_2.12-${version}.tgz printf "\t path = ${path}\n"
printf "${RESET}\n"
echo -e "\n>>>>>>>>> install kafka" # download and decompression
tar zxf ${root}/kafka_2.12-${version}.tgz -C ${root} mkdir -p ${path}
curl -o ${path}/kafka_2.12-${version}.tgz http://mirrors.tuna.tsinghua.edu.cn/apache/kafka/${version}/kafka_2.12-${version}.tgz
tar zxf ${path}/kafka_2.12-${version}.tgz -C ${path}
printf "${GREEN}<<<<<<<< install kafka end.${RESET}\n"

View File

@ -1,6 +1,20 @@
#!/usr/bin/env bash #!/usr/bin/env bash
###################################################################################
# 控制台颜色
BLACK="\033[1;30m"
RED="\033[1;31m"
GREEN="\033[1;32m"
YELLOW="\033[1;33m"
BLUE="\033[1;34m"
PURPLE="\033[1;35m"
CYAN="\033[1;36m"
RESET="$(tput sgr0)"
###################################################################################
printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
# 安装 Maven3 脚本 # 安装 Maven3 脚本
# Maven 会被安装到 /opt/maven 路径。 # Maven 会被安装到 /opt/maven 路径。
@ -8,13 +22,19 @@ cat << EOF
# 注意Maven 要求必须先安装 JDK # 注意Maven 要求必须先安装 JDK
# @author: Zhang Peng # @author: Zhang Peng
################################################################################### ###################################################################################
EOF
command -v java >/dev/null 2>&1 || { echo >&2 "Require java but it's not installed."; exit 1; } EOF
printf "${RESET}"
printf "${GREEN}>>>>>>>> install maven begin.${RESET}\n"
command -v java >/dev/null 2>&1 || { printf "${RED}Require java but it's not installed.${RESET}\n"; exit 1; }
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh maven-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh maven-install.sh 3.6.0 /opt/maven\n" printf "\t sh maven-install.sh [version] [path]\n"
printf "\t Example: sh maven-install.sh 3.6.0 /opt/maven\n"
printf "${RESET}\n"
fi fi
version=3.6.0 version=3.6.0
@ -22,31 +42,34 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
root=/opt/maven path=/opt/maven
if [[ -n $2 ]]; then if [[ -n $2 ]]; then
root=$2 path=$2
fi fi
echo "Current execution: install maven ${version} to ${root}" # install info
printf "${PURPLE}[Info]\n"
printf "\t version = ${version}\n"
printf "\t path = ${path}\n"
printf "${RESET}\n"
echo -e "\n>>>>>>>>> download maven" # download and decompression
mkdir -p ${root} mkdir -p ${path}
wget --no-check-certificate --no-cookies --header "Cookie: oraclelicense=accept-securebackup-cookie" -O ${root}/apache-maven-${version}-bin.tar.gz http://mirrors.tuna.tsinghua.edu.cn/apache/maven/maven-3/${version}/binaries/apache-maven-${version}-bin.tar.gz wget --no-check-certificate --no-cookies --header "Cookie: oraclelicense=accept-securebackup-cookie" -O ${path}/apache-maven-${version}-bin.tar.gz http://mirrors.tuna.tsinghua.edu.cn/apache/maven/maven-3/${version}/binaries/apache-maven-${version}-bin.tar.gz
tar -zxvf ${path}/apache-maven-${version}-bin.tar.gz -C ${path}
echo -e "\n>>>>>>>>> install maven" # setting env
tar -zxvf ${root}/apache-maven-${version}-bin.tar.gz -C ${root} path=${path}/apache-maven-${version}
path=${root}/apache-maven-${version}
# 设置环境变量
cat >> /etc/profile << EOF cat >> /etc/profile << EOF
export MAVEN_HOME=${path} export MAVEN_HOME=${path}
export PATH=\$MAVEN_HOME/bin:\$PATH export PATH=\$MAVEN_HOME/bin:\$PATH
EOF EOF
source /etc/profile source /etc/profile
# 备份并替换 settings.xml使用 aliyun 镜像加速 maven # replace mirrors in settings.xml
echo -e "\n>>>>>>>>> replace ${path}/conf/settings.xml" echo -e "\n>>>>>>>>> replace ${path}/conf/settings.xml"
cp ${path}/conf/settings.xml ${path}/conf/settings.xml.bak cp ${path}/conf/settings.xml ${path}/conf/settings.xml.bak
wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/settings-aliyun.xml -O ${path}/conf/settings.xml wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/settings-aliyun.xml -O ${path}/conf/settings.xml
printf "${GREEN}<<<<<<<< install maven end.${RESET}\n"
mvn -v mvn -v

View File

@ -1,5 +1,18 @@
#!/usr/bin/env bash #!/usr/bin/env bash
###################################################################################
# 控制台颜色
BLACK="\033[1;30m"
RED="\033[1;31m"
GREEN="\033[1;32m"
YELLOW="\033[1;33m"
BLUE="\033[1;34m"
PURPLE="\033[1;35m"
CYAN="\033[1;36m"
RESET="$(tput sgr0)"
###################################################################################
printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
@ -9,10 +22,15 @@ cat << EOF
################################################################################### ###################################################################################
EOF EOF
printf "${RESET}"
printf "${GREEN}>>>>>>>> install mongodb begin.${RESET}\n"
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh mongodb-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh mongodb-install.sh 4.0.9 /opt/mongodb\n" printf "\t sh mongodb-install.sh [version] [path]\n"
printf "\t Example: sh mongodb-install.sh 4.0.9 /opt/mongodb\n"
printf "${RESET}\n"
fi fi
version=4.0.9 version=4.0.9
@ -20,17 +38,21 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
root=/opt/mongodb path=/opt/mongodb
if [[ -n $2 ]]; then if [[ -n $2 ]]; then
root=$2 path=$2
fi fi
echo "Current execution: install mongodb ${version} to ${root}" # install info
printf "${PURPLE}[Info]\n"
printf "\t version = ${version}\n"
printf "\t path = ${path}\n"
printf "${RESET}\n"
echo -e "\n>>>>>>>>> download mongodb" # download and decompression
mkdir -p ${root} mkdir -p ${path}
wget -O ${root}/mongodb-linux-x86_64-${version}.tgz https://fastdl.mongodb.org/linux/mongodb-linux-x86_64-${version}.tgz curl -o ${path}/mongodb-linux-x86_64-${version}.tgz https://fastdl.mongodb.org/linux/mongodb-linux-x86_64-${version}.tgz
tar zxf ${path}/mongodb-linux-x86_64-${version}.tgz -C ${path}
echo -e "\n>>>>>>>>> install mongodb"
tar zxf ${root}/mongodb-linux-x86_64-${version}.tgz -C ${root}
mkdir -p /data/db mkdir -p /data/db
printf "${GREEN}<<<<<<<< install mongodb end.${RESET}\n"

View File

@ -33,7 +33,7 @@ echo "Current execution: install nacos ${version} to ${root}"
echo -e "\n>>>>>>>>> download nacos" echo -e "\n>>>>>>>>> download nacos"
mkdir -p ${root} mkdir -p ${root}
wget -O ${root}/nacos-server-${version}.zip https://github.com/alibaba/nacos/releases/download/${version}/nacos-server-${version}.zip curl -o ${root}/nacos-server-${version}.zip https://github.com/alibaba/nacos/releases/download/${version}/nacos-server-${version}.zip
echo -e "\n>>>>>>>>> install nacos" echo -e "\n>>>>>>>>> install nacos"
unzip ${root}/nacos-server-${version}.zip -d ${root}/nacos-server-${version} unzip ${root}/nacos-server-${version}.zip -d ${root}/nacos-server-${version}

View File

@ -14,5 +14,5 @@ mkdir -p /opt/maven
cd /opt/maven cd /opt/maven
version=3.13.0-01 version=3.13.0-01
wget -O /opt/maven/nexus-unix.tar.gz http://download.sonatype.com/nexus/3/nexus-${version}-unix.tar.gz curl -o /opt/maven/nexus-unix.tar.gz http://download.sonatype.com/nexus/3/nexus-${version}-unix.tar.gz
tar -zxf nexus-unix.tar.gz tar -zxf nexus-unix.tar.gz

View File

@ -12,6 +12,6 @@ echo -e "\n>>>>>>>>> install nginx"
# CentOS6 rpm 地址http://nginx.org/packages/rhel/6/x86_64/RPMS/ # CentOS6 rpm 地址http://nginx.org/packages/rhel/6/x86_64/RPMS/
mkdir -p /opt/nginx mkdir -p /opt/nginx
wget -O /opt/nginx/nginx.rpm http://nginx.org/packages/rhel/7/x86_64/RPMS/nginx-1.14.0-1.el7_4.ngx.x86_64.rpm curl -o /opt/nginx/nginx.rpm http://nginx.org/packages/rhel/7/x86_64/RPMS/nginx-1.14.0-1.el7_4.ngx.x86_64.rpm
rpm -ivh /opt/nginx/nginx.rpm rpm -ivh /opt/nginx/nginx.rpm
nginx -v nginx -v

View File

@ -1,21 +1,39 @@
#!/usr/bin/env bash #!/usr/bin/env bash
###################################################################################
# 控制台颜色
BLACK="\033[1;30m"
RED="\033[1;31m"
GREEN="\033[1;32m"
YELLOW="\033[1;33m"
BLUE="\033[1;34m"
PURPLE="\033[1;35m"
CYAN="\033[1;36m"
RESET="$(tput sgr0)"
###################################################################################
printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
# 安装 nginx 脚本 # 采用编译方式安装 nginx 脚本
# nginx 会被安装到 /opt/nginx 路径。 # nginx 会被安装到 /usr/local/nginx 路径。
# @system: 适用于所有 linux 发行版本。 # @system: 适用于所有 linux 发行版本。
# @author: Zhang Peng # @author: Zhang Peng
################################################################################### ###################################################################################
EOF EOF
printf "${RESET}"
printf "${GREEN}>>>>>>>> install maven begin.${RESET}\n"
command -v yum >/dev/null 2>&1 || { printf "${RED}Require yum but it's not installed.${RESET}\n"; exit 1; } command -v yum >/dev/null 2>&1 || { printf "${RED}Require yum but it's not installed.${RESET}\n"; exit 1; }
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh nginx-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh nginx-install.sh 1.16.0 /opt/nginx\n" printf "\t sh nginx-install.sh [version] [path]\n"
printf "\t Example: sh nginx-install.sh 1.16.0 /opt/nginx\n"
printf "${RESET}\n"
fi fi
version=1.16.0 version=1.16.0
@ -23,26 +41,31 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
root=/opt/nginx path=/opt/nginx
if [[ -n $2 ]]; then if [[ -n $2 ]]; then
root=$2 path=$2
fi fi
echo "Current execution: install nginx ${version} to ${root}" # install info
echo -e "\n>>>>>>>>> install libs" printf "${PURPLE}[Info]\n"
printf "\t version = ${version}\n"
printf "\t path = ${path}\n"
printf "${RESET}\n"
printf "${GREEN}>>>>>>>> install required libs.${RESET}\n"
yum install -y zlib zlib-devel gcc-c++ libtool openssl openssl-devel pcre yum install -y zlib zlib-devel gcc-c++ libtool openssl openssl-devel pcre
echo -e "\n>>>>>>>>> download nginx" # download and decompression
mkdir -p ${root} mkdir -p ${path}
wget -O ${root}/nginx-${version}.tar.gz http://nginx.org/download/nginx-${version}.tar.gz curl -o ${path}/nginx-${version}.tar.gz http://nginx.org/download/nginx-${version}.tar.gz
tar zxf ${path}/nginx-${version}.tar.gz -C ${path}
# 编译 # configure and makefile
tar zxf ${root}/nginx-${version}.tar.gz -C ${root} cd ${path}/nginx-${version}
cd ${root}/nginx-${version}
./configure --prefix=/usr/local/nginx --with-http_stub_status_module --with-http_ssl_module --with-pcre ./configure --prefix=/usr/local/nginx --with-http_stub_status_module --with-http_ssl_module --with-pcre
make && make install make && make install
# 设置 service # setting service
wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/nginx/nginx.service -O /usr/lib/systemd/system/nginx.service wget -N https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/config/nginx/nginx.service -O /usr/lib/systemd/system/nginx.service
chmod +x /usr/lib/systemd/system/nginx.service chmod +x /usr/lib/systemd/system/nginx.service
#设置nginx.service为系统服务 #设置nginx.service为系统服务
@ -52,4 +75,4 @@ systemctl start nginx.service
#systemctl reload nginx.service #systemctl reload nginx.service
#systemctl restart nginx.service #systemctl restart nginx.service
#systemctl stop nginx.service #systemctl stop nginx.service
cd - printf "${GREEN}<<<<<<<< install nginx end.${RESET}\n"

View File

@ -1,20 +0,0 @@
# 安装 Nginx
## linux 安装 nginx 通用脚本
使用方法:
```sh
curl -o- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/nginx/install-nginx.sh | bash
```
脚本会下载解压 nginx 到 `/opt/nginx` 路径下。
## Centos 安装 nginx 脚本
使用方法:
```sh
curl -o- https://gitee.com/turnon/linux-tutorial/raw/master/codes/linux/soft/nginx/install-nginx-by-yum.sh | bash
```

View File

@ -1,17 +0,0 @@
#!/usr/bin/env bash
###################################################################################
# 安装 nginx 脚本
# 仅适用于 CentOS 发行版本。
# @author: Zhang Peng
###################################################################################
echo -e "\n>>>>>>>>> install nginx"
# Centos7 rpm 地址http://nginx.org/packages/rhel/7/x86_64/RPMS/
# CentOS6 rpm 地址http://nginx.org/packages/rhel/6/x86_64/RPMS/
mkdir -p /opt/nginx
wget -O /opt/nginx/nginx.rpm http://nginx.org/packages/rhel/7/x86_64/RPMS/nginx-1.14.0-1.el7_4.ngx.x86_64.rpm
rpm -ivh /opt/nginx/nginx.rpm
nginx -v

View File

@ -1,11 +0,0 @@
#!/usr/bin/env bash
###################################################################################
# 安装 nginx 脚本
# 仅适用于 CentOS 发行版本。
# @author: Zhang Peng
###################################################################################
echo -e "\n>>>>>>>>> install nginx"
yum -y install make nginx.x86_64

View File

@ -16,19 +16,22 @@ printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
# 安装 Nodejs 脚本 # 通过 nvm 安装 Nodejs 脚本
# @system: 适用于所有 linux 发行版本。 # @system: 适用于所有 linux 发行版本。
# @author: Zhang Peng # @author: Zhang Peng
# @see: https://github.com/nvm-sh/nvm
################################################################################### ###################################################################################
EOF EOF
printf "${RESET}" printf "${RESET}"
printf "${BLUE}>>>>>>>> install nodejs\n${RESET}" printf "${GREEN}>>>>>>>> install nodejs begin.${RESET}\n"
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh nodejs-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh nodejs-install.sh 10.15.2 /opt/nodejs\n" printf "\t sh nodejs-install.sh [version]\n"
printf "\t Example: sh nodejs-install.sh 10.15.2\n"
printf "${RESET}\n"
fi fi
version=10.15.2 version=10.15.2
@ -36,21 +39,22 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
# install info
printf "${PURPLE}[Info]\n"
printf "\t version = ${version}\n"
printf "${RESET}\n"
# install nvm
printf "${GREEN}>>>>>>>> install nvm.${RESET}\n"
rm -rf ~/.nvm
mkdir -p ~/.nvm
curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.34.0/install.sh | bash
. ~/.nvm/nvm.sh . ~/.nvm/nvm.sh
nvm --version nvm --version
execode=$?
if [[ ${execode} != 0 ]]; then
echo -e "\n>>>>>>>>> install nvm"
rm -rf ~/.nvm
curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.34.0/install.sh | bash
. ~/.nvm/nvm.sh
nvm --version
fi
echo "Current execution: install nodejs ${version} to ${root}" printf "${GREEN}>>>>>>>> install nodejs by nvm.${RESET}\n"
echo -e "\n>>>>>>>>> install nodejs by nvm"
nvm install ${version} nvm install ${version}
nvm use ${version} nvm use ${version}
node --version node --version
printf "${GREEN}<<<<<<<< install zsh nodejs\n${RESET}" printf "${GREEN}<<<<<<<< install nodejs end.${RESET}\n"

View File

@ -43,7 +43,7 @@ yum install -y zlib zlib-devel gcc-c++ libtool openssl openssl-devel tcl
echo -e "\n>>>>>>>>> download redis" echo -e "\n>>>>>>>>> download redis"
mkdir -p ${root} mkdir -p ${root}
wget -O ${root}/redis-${version}.tar.gz http://download.redis.io/releases/redis-${version}.tar.gz curl -o ${root}/redis-${version}.tar.gz http://download.redis.io/releases/redis-${version}.tar.gz
echo -e "\n>>>>>>>>> install redis" echo -e "\n>>>>>>>>> install redis"
path=${root}/redis-${version} path=${root}/redis-${version}

View File

@ -1,5 +1,18 @@
#!/usr/bin/env bash #!/usr/bin/env bash
###################################################################################
# 控制台颜色
BLACK="\033[1;30m"
RED="\033[1;31m"
GREEN="\033[1;32m"
YELLOW="\033[1;33m"
BLUE="\033[1;34m"
PURPLE="\033[1;35m"
CYAN="\033[1;36m"
RESET="$(tput sgr0)"
###################################################################################
printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
@ -9,10 +22,15 @@ cat << EOF
################################################################################### ###################################################################################
EOF EOF
printf "${RESET}"
printf "${GREEN}>>>>>>>> install tomcat begin.${RESET}\n"
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh rocketmq-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh rocketmq-install.sh 4.5.0 /opt/rocketmq\n" printf "\t sh rocketmq-install.sh [version] [path]\n"
printf "\t Example: sh rocketmq-install.sh 4.5.0 /opt/rocketmq\n"
printf "${RESET}\n"
fi fi
version=4.5.0 version=4.5.0
@ -20,17 +38,22 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
root=/opt/rocketmq path=/opt/rocketmq
if [[ -n $2 ]]; then if [[ -n $2 ]]; then
root=$2 path=$2
fi fi
echo "Current execution: install rocketmq ${version} to ${root}" # install info
echo -e "\n>>>>>>>>> download rocketmq" printf "${PURPLE}[Info]\n"
mkdir -p ${root} printf "\t version = ${version}\n"
wget -O ${root}/rocketmq-all-${version}-bin-release.zip http://mirrors.tuna.tsinghua.edu.cn/apache/rocketmq/${version}/rocketmq-all-${version}-bin-release.zip printf "\t path = ${path}\n"
printf "${RESET}\n"
echo -e "\n>>>>>>>>> install rocketmq" # download and decompression
unzip -o ${root}/rocketmq-all-${version}-bin-release.zip -d ${root}/rocketmq-all-${version}/ mkdir -p ${path}
mv ${root}/rocketmq-all-${version}/rocketmq-all-${version}-bin-release/* ${root}/rocketmq-all-${version} curl -o ${path}/rocketmq-all-${version}-bin-release.zip http://mirrors.tuna.tsinghua.edu.cn/apache/rocketmq/${version}/rocketmq-all-${version}-bin-release.zip
rm -rf ${root}/rocketmq-all-${version}/rocketmq-all-${version}-bin-release unzip -o ${path}/rocketmq-all-${version}-bin-release.zip -d ${path}/rocketmq-all-${version}/
mv ${path}/rocketmq-all-${version}/rocketmq-all-${version}-bin-release/* ${path}/rocketmq-all-${version}
rm -rf ${path}/rocketmq-all-${version}/rocketmq-all-${version}-bin-release
printf "${GREEN}<<<<<<<< install rocketmq end.${RESET}\n"

View File

@ -1,7 +0,0 @@
#!/usr/bin/env bash
echo -e "\n>>>>>>>>> install sdk"
curl -s "https://get.sdkman.io" | bash
source "$HOME/.sdkman/bin/sdkman-init.sh"
sdk version

View File

@ -1,5 +1,18 @@
#!/usr/bin/env bash #!/usr/bin/env bash
###################################################################################
# 控制台颜色
BLACK="\033[1;30m"
RED="\033[1;31m"
GREEN="\033[1;32m"
YELLOW="\033[1;33m"
BLUE="\033[1;34m"
PURPLE="\033[1;35m"
CYAN="\033[1;36m"
RESET="$(tput sgr0)"
###################################################################################
printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
@ -9,10 +22,15 @@ cat << EOF
################################################################################### ###################################################################################
EOF EOF
printf "${RESET}"
printf "${GREEN}>>>>>>>> install tomcat begin.${RESET}\n"
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh tomcat8-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh tomcat8-install.sh 8.5.28 /opt/tomcat8\n" printf "\t sh tomcat8-install.sh [version] [path]\n"
printf "\t Example: sh tomcat8-install.sh 8.5.28 /opt/tomcat8\n"
printf "${RESET}\n"
fi fi
version=8.5.28 version=8.5.28
@ -20,15 +38,20 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
root=/opt/tomcat path=/opt/tomcat
if [[ -n $2 ]]; then if [[ -n $2 ]]; then
root=$2 path=$2
fi fi
echo "Current execution: install tomcat8 ${version} to ${root}" # install info
echo -e "\n>>>>>>>>> download tomcat" printf "${PURPLE}[Info]\n"
mkdir -p ${root} printf "\t version = ${version}\n"
wget -O ${root}/apache-tomcat-${version}.tar.gz https://archive.apache.org/dist/tomcat/tomcat-8/v${version}/bin/apache-tomcat-${version}.tar.gz printf "\t path = ${path}\n"
printf "${RESET}\n"
echo -e "\n>>>>>>>>> install tomcat" # download and decompression
tar zxf ${root}/apache-tomcat-${version}.tar.gz -C ${root} mkdir -p ${path}
curl -o ${path}/apache-tomcat-${version}.tar.gz https://archive.apache.org/dist/tomcat/tomcat-8/v${version}/bin/apache-tomcat-${version}.tar.gz
tar zxf ${path}/apache-tomcat-${version}.tar.gz -C ${path}
printf "${GREEN}<<<<<<<< install tomcat end.${RESET}\n"

View File

@ -16,7 +16,7 @@ printf "${BLUE}"
cat << EOF cat << EOF
################################################################################### ###################################################################################
# 安装 zookeeper 脚本 # 安装 ZooKeeper 脚本
# @system: 适用于所有 linux 发行版本。 # @system: 适用于所有 linux 发行版本。
# @author: Zhang Peng # @author: Zhang Peng
################################################################################### ###################################################################################
@ -24,9 +24,13 @@ cat << EOF
EOF EOF
printf "${RESET}" printf "${RESET}"
printf "${GREEN}>>>>>>>> install zookeeper begin.${RESET}\n"
if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then if [[ $# -lt 1 ]] || [[ $# -lt 2 ]];then
echo "Usage: sh zookeeper-install.sh [version] [path]" printf "${PURPLE}[Hint]\n"
echo -e "Example: sh zookeeper-install.sh 3.4.12 /opt/zookeeper\n" printf "\t sh zookeeper-install.sh [version] [path]\n"
printf "\t Example: sh zookeeper-install.sh 3.4.12 /opt/zookeeper\n"
printf "${RESET}\n"
fi fi
version=3.4.12 version=3.4.12
@ -34,15 +38,20 @@ if [[ -n $1 ]]; then
version=$1 version=$1
fi fi
root=/opt/zookeeper path=/opt/zookeeper
if [[ -n $2 ]]; then if [[ -n $2 ]]; then
root=$2 path=$2
fi fi
echo "Current execution: install zookeeper ${version} to ${root}" # install info
echo -e "\n>>>>>>>>> download zookeeper" printf "${PURPLE}[Info]\n"
mkdir -p ${root} printf "\t version = ${version}\n"
wget -O ${root}/zookeeper-${version}.tar.gz http://mirrors.hust.edu.cn/apache/zookeeper/zookeeper-${version}/zookeeper-${version}.tar.gz printf "\t path = ${path}\n"
printf "${RESET}\n"
echo -e "\n>>>>>>>>> install zookeeper" # download and decompression
tar zxf ${root}/zookeeper-${version}.tar.gz -C ${root} mkdir -p ${path}
curl -o ${path}/zookeeper-${version}.tar.gz http://mirrors.hust.edu.cn/apache/zookeeper/zookeeper-${version}/zookeeper-${version}.tar.gz
tar zxf ${path}/zookeeper-${version}.tar.gz -C ${path}
printf "${GREEN}<<<<<<<< install zookeeper end.${RESET}\n"

View File

@ -25,14 +25,16 @@ cat << EOF
EOF EOF
printf "${RESET}" printf "${RESET}"
printf "${BLUE}>>>>>>>> install zsh\n${RESET}" printf "${GREEN}>>>>>>>> install zsh begin.${RESET}\n"
command -v yum >/dev/null 2>&1 || { printf "${RED}Require yum but it's not installed.${RESET}\n"; exit 1; } command -v yum >/dev/null 2>&1 || { printf "${RED}Require yum but it's not installed.${RESET}\n"; exit 1; }
command -v git >/dev/null 2>&1 || { printf "${RED}Require git but it's not installed.${RESET}\n"; exit 1; }
# install zsh # install zsh
yum install -y zsh yum install -y zsh
chsh -s /bin/zsh
# install oh-my-zsh # install oh-my-zsh
wget https://github.com/robbyrussell/oh-my-zsh/raw/master/tools/install.sh -O - | sh curl -o- https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh | bash
# choose oh-my-zsh theme # choose oh-my-zsh theme
sed -i "s/^ZSH_THEME=.*/ZSH_THEME=\"ys\"/g" ~/.zshrc sed -i "s/^ZSH_THEME=.*/ZSH_THEME=\"ys\"/g" ~/.zshrc
# install oh-my-zsh plugins # install oh-my-zsh plugins
@ -40,6 +42,6 @@ git clone https://github.com/zsh-users/zsh-autosuggestions.git ~/.oh-my-zsh/plug
git clone https://github.com/zsh-users/zsh-syntax-highlighting.git ~/.oh-my-zsh/plugins/zsh-syntax-highlighting git clone https://github.com/zsh-users/zsh-syntax-highlighting.git ~/.oh-my-zsh/plugins/zsh-syntax-highlighting
sed -i "s/^plugins=.*/plugins=(git z wd extract zsh-autosuggestions zsh-syntax-highlighting)/g" ~/.zshrc sed -i "s/^plugins=.*/plugins=(git z wd extract zsh-autosuggestions zsh-syntax-highlighting)/g" ~/.zshrc
# reload zsh # reload zsh
source ~/.zshrc
printf "${GREEN}<<<<<<<< install zsh finished\n${RESET}" printf "${GREEN}<<<<<<<< install zsh finished${RESET}\n"
printf "${GREEN}Please reboot to take effect.${RESET}\n"